<template>
    <div id="app-container">
        <div class="main-data">
            <CountView title="Total count"
                        :value="$di.$clicksService.count" />
            <CountView title="Main count"
                        :value="$di.$counterService.count" />
        </div>
        <div class="child-components">
            <ComponentWithInheritedDependencies />
            <ComponentWithOwnDependencies />
        </div>
    </div>
</template>


<script lang="ts">
import { Vue } from 'vue-property-decorator';
import HelloWorld from './components/HelloWorld.vue';
import ComponentWithInheritedDependencies from './components/component-with-inherited-dependencies.vue';
import ComponentWithOwnDependencies from './components/component-with-own-dependencies.vue';
import { Component } from '@/lib/vue-di/di.decorator';
import { Observer } from 'mobx-vue';
import CountView from '@/test-app/components/count-view.vue';


@Observer
@Component({
    components: {
        ComponentWithInheritedDependencies,
        ComponentWithOwnDependencies,
        CountView
    }
})
export default class App extends Vue {}
</script>


<style lang="scss">
@import "./variables";


#app-container {
    width: 600px;
    padding: $space-4 0;
    margin: 0 auto;
}

.main-data {
    text-align: center;
    display: flex;
    justify-content: center;
    font-size: 1.3em;

    > * {
        margin: 0 $space-2;
    }
}

.child-components {
    display: flex;
}

@media screen and (max-width: $screen-width--small) {

    #app-container {
        width: 90%;
    }

    .child-components {
        flex-direction: column;
    }
}

@media screen and (max-width: $screen-width--very-small) {

    .main-data {
        flex-direction: column;
    }
}
</style>
